namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：胖子天骄设备基础表
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/14 11:26:34 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("device_info")]
    public class Pztj_DevicesInfoEntity: DEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "名称不能为空")]
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [Required(ErrorMessage = "编码不能为空")]
        public string Code { get; set; }
        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceType { get; set; }
        /// <summary>
        /// 设备描述
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Describe { get; set; }
        /// <summary>
        /// 设备维保时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string RepairDate { get; set; }
        /// <summary>
        /// 设备创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string CreateTime { get; set; }
    }
}
